Page MenuHomePhabricator

Enable oversampling for Singapore
Closed, ResolvedPublic

Description

Task is to enable oversampling for Singapore. Starting with just SG itself, at a 1/100 rate. Will expand once that collection is going.

Event Timeline

Imarlier created this task.Mar 1 2018, 6:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 1 2018, 6:30 PM

Change 415618 had a related patch set uploaded (by Imarlier; owner: Imarlier):
[operations/mediawiki-config@master] NavigtationTiming: Enable oversampling for Singapore

https://gerrit.wikimedia.org/r/415618

Imarlier triaged this task as Normal priority.Mar 1 2018, 6:32 PM
Imarlier moved this task from Inbox to Doing on the Performance-Team board.

Change 415618 merged by jenkins-bot:
[operations/mediawiki-config@master] NavigtationTiming: Enable oversampling for Singapore

https://gerrit.wikimedia.org/r/415618

Change 417331 had a related patch set uploaded (by Imarlier; owner: Imarlier):
[operations/mediawiki-config@master] wmf-config: enable Singapore oversample as default on all wikis

https://gerrit.wikimedia.org/r/417331

Mentioned in SAL (#wikimedia-operations) [2018-03-08T19:21:20Z] <niharika29@tin> Synchronized wmf-config/InitialiseSettings.php: NavigtationTiming: Enable oversampling for Singapore T188652 (duration: 01m 16s)

Mentioned in SAL (#wikimedia-operations) [2018-03-08T19:23:04Z] <niharika29@tin> Synchronized wmf-config/CommonSettings.php: NavigtationTiming: Enable oversampling for Singapore T188652 (duration: 01m 15s)

Krinkle added a subscriber: Krinkle.EditedMar 9 2018, 12:48 AM

By faking my cookie using $.cookie('GeoIP', 'SG:XX:XX:0.0:-0.0:v4', { domain: '.wikipedia.org', path: '/' }), and clicking the logo on test.wikipedia.org repeatedly (we ignore manual refreshes), the browser eventually produced the following beacon. ⭐️Yay!

Network / Query String Parameters [decoded]
{"event":{"isAnon":true,"mediaWikiVersion":"1.31.0-wmf.24","isOversample":true,"oversampleReason":"[\"geo:SG\"]","mediaWikiLoadComplete":238,"originCountry":"SG","namespaceId":0,"revId":337981,"action":"history","netinfoEffectiveConnectionType":"4g","connectEnd":2,"connectStart":2,"domComplete":174,"domInteractive":100,"fetchStart":2,"loadEventEnd":174,"loadEventStart":174,"requestStart":5,"responseEnd":28,"responseStart":23,"secureConnectionStart":0,"dnsLookup":0,"redirecting":0,"unload":0,"firstPaint":96},"revision":17740037,"schema":"NavigationTiming","webHost":"test.wikipedia.org","wiki":"testwiki"};

I then replayed it a few times using "Copy as cURL" (but with a different User-Agent, per our policy)

tmp.sh
curl -i  -X POST -H 'user-agent: https://phabricator.wikimedia.org/T188652' 'https://test.wikipedia.org/beacon/event?%7B%22event%22%3A%7B%22isAnon%22%3Atrue%2C%22mediaWikiVersion%22%3A%221.31.0-wmf.24%22%2C%22isOversample%22%3Atrue%2C%22oversampleReason%22%3A%22%5B%5C%22geo%3ASG%5C%22%5D%22%2C%22mediaWikiLoadComplete%22%3A238%2C%22originCountry%22%3A%22SG%22%2C%22namespaceId%22%3A0%2C%22revId%22%3A337981%2C%22action%22%3A%22history%22%2C%22netinfoEffectiveConnectionType%22%3A%224g%22%2C%22connectEnd%22%3A2%2C%22connectStart%22%3A2%2C%22domComplete%22%3A174%2C%22domInteractive%22%3A100%2C%22fetchStart%22%3A2%2C%22loadEventEnd%22%3A174%2C%22loadEventStart%22%3A174%2C%22requestStart%22%3A5%2C%22responseEnd%22%3A28%2C%22responseStart%22%3A23%2C%22secureConnectionStart%22%3A0%2C%22dnsLookup%22%3A0%2C%22redirecting%22%3A0%2C%22unload%22%3A0%2C%22firstPaint%22%3A96%7D%2C%22revision%22%3A17740037%2C%22schema%22%3A%22NavigationTiming%22%2C%22webHost%22%3A%22test.wikipedia.org%22%2C%22wiki%22%3A%22testwiki%22%7D;'

The reason for the replays is because we throttle metric path creation in Graphite, so at first when we try to write the data for just one event, in practice most of it will end up ignored, and won't be visible through Graphite/Grafana.

This is because for one event, we actually write 1,680 properties (140 metrics via statsd, each expanding to 12 Timer props).

Change 417331 merged by jenkins-bot:
[operations/mediawiki-config@master] wmf-config: enable Singapore oversample as default on all wikis

https://gerrit.wikimedia.org/r/417331

Mentioned in SAL (#wikimedia-operations) [2018-03-13T13:20:07Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:417331|wmf-config: enable Singapore oversample as default on all wikis (T188652)]] (duration: 00m 57s)

Imarlier closed this task as Resolved.Mar 13 2018, 1:25 PM

Live as of 13:15UTC.